View Issue Details

IDProjectCategoryView StatusLast Update
0005045MediaMonkey (current)Playlist / Searchpublic2009-05-26 21:41
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.1 
Target VersionFixed in Version3.1 
Summary0005045: Improve performance of default filters
DescriptionAs discussed offline with Jiri we should improve performance of basic filters (Music, Podcasts, Audiobooks) by adding new DB field in Songs table. The field name should be TrackType with values [Music, Podcast, Audiobook, Video, ...].

This involves adding some triggers that updates this field based on genre, path, podcast episode info.
TagsNo tags attached.
Fixed in build1208

Relationships

parent of 0005324 closedLudek Queries/Filters: 'Status is Podcast' doesn't work correctly for some users 
parent of 0006371 resolvedLudek Filters: Tweaking filter accurateness 
related to 0005175 closedLudek Sync list: some nodes don't appear (regression) 
related to 0005205 closedLudek Sync-list: Switching between filters is slow (regression) 
related to 0005710 closedrusty MP3 files get classified as Podcasts 
related to 0006370 closedLudek Filters: Do not work correctly in some cases 

Activities

Owyn

2008-12-16 08:36

updater   ~0015660

How would you handle an episode from a Video Podcast, e.g. Tiki Bar TV.

"Video; Podcast"?

Ludek

2008-12-16 23:17

developer   ~0015683

Implemented in build 1203.

Add only
TT_MUSIC = 0
TT_PODCAST = 1
TT_AUDIOBOOK = 2
values to the new Songs.TrackType DB field. We will add TT_VIDEO in MM 4.0 when we are going to support video.

The values are set by set of DB triggers according to the same rules like current filters does.

Ludek

2009-01-03 01:06

developer   ~0015965

Fixed: default Audiobooks filter from MM 3.0 has not been properly replaced by the default filter from MM 3.1 sometimes.

Fixed in 1208.

stephen_platt

2009-04-04 04:23

developer   ~0017371

verified no regressions 1232

Ludek

2009-05-26 21:41

developer   ~0018034

Just for clarification, the algorithm for status is here:

--------------------------------------

satus := music

if Genre contains 'BOOK' then status := audiobook

if Genre contains 'PODCAST' then status := podcast

if status is not audiobook then if FileExtension = 'M4B' then status := audiobook

if status is not podcast then if IDEpisode > 0 then status := podcast